Subject: [PATCH] soc: Mediatek: Enable SCPSYS power domain driver by default

From: [email-masked] (Kevin Hilman)
Date: Fri, 13 Nov 2015 07:59:04 -0800

Eddie Huang <[email-masked]> writes:

> If enable Mediatek 8173 SoC, it should also enable power domain
> driver. Otherwise access clk subsystem register will fail.
>
> Signed-off-by: Eddie Huang <[email-masked]>

Tested-by: Kevin Hilman <[email-masked]>

This gets the mt8173-evb booting again with arm-soc/for-next and
mainline for me.

I'll let Matthias queue this up and send it with any other fixes for
v4.4-rc1.

Thanks for the fix,

Kevin

P.S. it's curious that nobody caught this basic boot failure before.  Is
nobody else testing mainline on this board?  or maybe not using the
upstream defconfig?